unit uColor;

interface

uses Rubies;

procedure Init_Color;

implementation

uses
{$IFDEF VCL}
  Graphics,
{$ELSE}
  QGraphics,
{$ENDIF}
  uStrUtils, uDefUtils, uPhi;

procedure Init_Color;
begin
  //StandardColors
  ap_define_const(mPhi, 'clAqua', INT2FIX(clAqua));
  ap_define_const(mPhi, 'clBlack', INT2FIX(clBlack));
  ap_define_const(mPhi, 'clBlue', INT2FIX(clBlue));
  ap_define_const(mPhi, 'clFuchsia', INT2FIX(clFuchsia));
  ap_define_const(mPhi, 'clDkGray', INT2FIX(clDkGray));

  ap_define_const(mPhi, 'clBackground', rb_int2inum(clBackground));
  ap_define_const(mPhi, 'clActiveCaption', rb_int2inum(clActiveCaption));
  ap_define_const(mPhi, 'clInactiveCaption', rb_int2inum(clInactiveCaption));
  ap_define_const(mPhi, 'clMenu', rb_int2inum(clMenu));
  ap_define_const(mPhi, 'clWindow', rb_int2inum(clWindow));

  ap_define_const(mPhi, 'clGray', INT2FIX(clGray));
  ap_define_const(mPhi, 'clGreen', INT2FIX(clGreen));
  ap_define_const(mPhi, 'clLime', INT2FIX(clLime));
  ap_define_const(mPhi, 'clLtGray', INT2FIX(clLtGray));
  ap_define_const(mPhi, 'clMaroon', INT2FIX(clMaroon));
  ap_define_const(mPhi, 'clNavy', INT2FIX(clNavy));
  ap_define_const(mPhi, 'clOlive', INT2FIX(clOlive));
  ap_define_const(mPhi, 'clPurple', INT2FIX(clPurple));
  ap_define_const(mPhi, 'clRed', INT2FIX(clRed));
  ap_define_const(mPhi, 'clSilver', INT2FIX(clSilver));
  ap_define_const(mPhi, 'clTeal', INT2FIX(clTeal));
  ap_define_const(mPhi, 'clWhite', INT2FIX(clWhite));
  ap_define_const(mPhi, 'clYellow', INT2FIX(clYellow));

  //ExtendedColors
  ap_define_const(mPhi, 'clMoneyGreen', INT2FIX(clMoneyGreen));
  ap_define_const(mPhi, 'clSkyBlue', INT2FIX(clSkyBlue));
  ap_define_const(mPhi, 'clCream', INT2FIX(clCream));
  ap_define_const(mPhi, 'clMedGray', INT2FIX(clMedGray));

  //SystemColors
  ap_define_const(mPhi, 'clWindowFrame', rb_int2inum(clWindowFrame));
  ap_define_const(mPhi, 'clMenuText', rb_int2inum(clMenuText));
  ap_define_const(mPhi, 'clWindowText', rb_int2inum(clWindowText));
  ap_define_const(mPhi, 'clCaptionText', rb_int2inum(clCaptionText));
  ap_define_const(mPhi, 'clActiveBorder', rb_int2inum(clActiveBorder));
  ap_define_const(mPhi, 'clInactiveBorder', rb_int2inum(clInactiveBorder));
  ap_define_const(mPhi, 'clAppWorkSpace', rb_int2inum(clAppWorkSpace));
  ap_define_const(mPhi, 'clHighlight', rb_int2inum(clHighlight));
  ap_define_const(mPhi, 'clHighlightText', rb_int2inum(clHighlightText));
  ap_define_const(mPhi, 'clBtnFace', rb_int2inum(clBtnFace));
  ap_define_const(mPhi, 'clBtnShadow', rb_int2inum(clBtnShadow));
  ap_define_const(mPhi, 'clGrayText', rb_int2inum(clGrayText));
  ap_define_const(mPhi, 'clBtnText', rb_int2inum(clBtnText));
  ap_define_const(mPhi, 'clInactiveCaptionText', rb_int2inum(clInactiveCaptionText));
  ap_define_const(mPhi, 'clBtnHighlight', rb_int2inum(clBtnHighlight));
  ap_define_const(mPhi, 'cl3DDkShadow', rb_int2inum(cl3DDkShadow));
  ap_define_const(mPhi, 'cl3DLight', rb_int2inum(cl3DLight));
  ap_define_const(mPhi, 'clInfoText', rb_int2inum(clInfoText));
  ap_define_const(mPhi, 'clInfoBk', rb_int2inum(clInfoBk));
end;

end.
